icon: mdi:lan
path: network
cards:
  - type: vertical-stack
    cards:
    - type: gauge
      entity: sensor.adguard_average_processing_speed
      max: 100
      severity:
        green: 0
        yellow: 15
        red: 25
    - type: horizontal-stack
      cards:
      - type: entity
        entity: sensor.adguard_dns_queries
      - type: gauge
        entity: sensor.adguard_dns_queries_blocked_ratio
        severity:
          green: 0
          yellow: 10
          red: 20
    - type: button
      entity: switch.adguard_protection
      show_state: true